/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/* JprobeVersionDialog.java,v 1.5 2002/08/02 16:11:42 jba Exp */
/**
 * This is the version and credits dialog.
 *
 * @author <A HREF="mailto:jba@aps.anl.gov">
 * Janet Anderson</A>
 *
 * @version 1.0
*/

package jprobe;

import javax.swing.*;
import javax.swing.border.*;

import java.awt.*;
import java.awt.event.*;

public class JprobeVersionDialog extends JDialog
{
  private static final String JPROBE_VERSION = "1.1";

  /** Constructor with one argument
  * It created the Version Dialog
  * @param parent is the parent JFrame.
  */
  JprobeVersionDialog(JFrame parent)
  {
    super(parent);

    //Font monoFont = new Font("TimesRoman",Font.BOLD,16);

    setTitle("Jprobe: Version Dialog");
    getContentPane().setLayout(new BorderLayout(10,10));

    JLabel label;
    JPanel panel;

    label = new JLabel("Jprobe");
    //label.setFont(monoFont);
    label.setBorder(new CompoundBorder(new BevelBorder(BevelBorder.RAISED),
                    new EmptyBorder(5,5,5,5)));
    getContentPane().add("West",label);

    panel = new JPanel();
    panel.setLayout(new GridLayout(0,1));
    label = new JLabel("Jprobe - a java channel access utility");
    panel.add(label);
    label = new JLabel("Jprobe Version " + JPROBE_VERSION );
    panel.add(label);
    label = new JLabel("Developed at Argonne National Laboratory" +
                       " by Janet Anderson");
    panel.add(label);
    panel.setBorder(new EmptyBorder(5,5,5,5));
    getContentPane().add("Center",panel);

    panel = new JPanel();
    JButton closeButton = new JButton("OK");
    closeButton.setBorder(new BevelBorder(BevelBorder.RAISED));
    closeButton.addActionListener( new ActionListener() {
           public void actionPerformed(ActionEvent e)
           { JprobeVersionDialog.this.dispose(); } });
    panel.add(closeButton);
    getContentPane().add("East",panel);

    pack();
    setVisible(true);
  }
}

